View Issue Details

IDProjectCategoryView StatusLast Update
0005571GNUnetotherpublic2019-02-28 11:17
ReporterschanzenAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86_64OSmacOSOS Version
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005571: macOS clang/gcc gives warnings because of gnuism
DescriptionI get the following warning when compiling with the macos clang gcc:

In file included from ../../src/include/gnunet_util_lib.h:64:
In file included from ../../src/include/gnunet_crypto_lib.h:79:
../../src/include/gnunet_common.h:413:19: warning: 'format' attribute argument not
      supported: gnu_printf [-Wignored-attributes]
  __attribute__ ((format (gnu_printf, 2, 3)));
                  ^
1 warning generated.


It can be mitigated by install the "real" gcc and compiling GNUnet that way
Additional Informationgcc --version
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 10.0.0 (clang-1000.11.45.5)
Target: x86_64-apple-darwin18.2.0
Thread model: posix
InstalledDir: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin
TagsNo tags attached.

Activities

schanzen

2019-02-15 18:07

developer   ~0013796

Can we alias gnu_printf to printf on macos?

Christian Grothoff

2019-02-15 18:19

manager   ~0013797

printf alone seems to work fine, changed to that in 3142b0ac6..c2d19c887

Issue History

Date Modified Username Field Change
2019-02-15 18:02 schanzen New Issue
2019-02-15 18:07 schanzen Note Added: 0013796
2019-02-15 18:07 schanzen Assigned To => Christian Grothoff
2019-02-15 18:07 schanzen Status new => assigned
2019-02-15 18:19 Christian Grothoff Note Added: 0013797
2019-02-15 18:19 Christian Grothoff Status assigned => resolved
2019-02-15 18:19 Christian Grothoff Resolution open => fixed
2019-02-15 18:19 Christian Grothoff Fixed in Version => 0.11.0
2019-02-15 18:19 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed